curl --request POST \
--url https://api.pushcash.com/user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": {
"first": "Alfred",
"last": "Hitchcock"
},
"email": "alfred@imdb.com",
"address": {
"address_line_1": "1609 10th Ave",
"locality": "Bodega Bay",
"administrative_area": "CA",
"postal_code": "94923",
"country": "US"
},
"date_of_birth": "1899-08-13",
"government_id": {
"type": "passport",
"last4": "7349"
},
"phone_number": "(555) 681-3485",
"tag": "4c8e6b4f",
"identity_verified": true
}
'import requests
url = "https://api.pushcash.com/user"
payload = {
"name": {
"first": "Alfred",
"last": "Hitchcock"
},
"email": "alfred@imdb.com",
"address": {
"address_line_1": "1609 10th Ave",
"locality": "Bodega Bay",
"administrative_area": "CA",
"postal_code": "94923",
"country": "US"
},
"date_of_birth": "1899-08-13",
"government_id": {
"type": "passport",
"last4": "7349"
},
"phone_number": "(555) 681-3485",
"tag": "4c8e6b4f",
"identity_verified": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: {first: 'Alfred', last: 'Hitchcock'},
email: 'alfred@imdb.com',
address: {
address_line_1: '1609 10th Ave',
locality: 'Bodega Bay',
administrative_area: 'CA',
postal_code: '94923',
country: 'US'
},
date_of_birth: '1899-08-13',
government_id: {type: 'passport', last4: '7349'},
phone_number: '(555) 681-3485',
tag: '4c8e6b4f',
identity_verified: true
})
};
fetch('https://api.pushcash.com/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}{}Create user
Register a user with Push
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The request format to create a user with Push
The legal name of the user
Show child attributes
Show child attributes
{ "first": "Alfred", "last": "Hitchcock" }
The address of the user's primary location
Show child attributes
Show child attributes
{
"address_line_1": "1609 10th Ave",
"locality": "Bodega Bay",
"administrative_area": "CA",
"postal_code": "94923",
"country": "US"
}
The email address for the user
The user's date of birth
Show child attributes
Show child attributes
{
"type": "drivers_license",
"last4": "Y7B9",
"state": "OR"
}
Indicates whether the user's identity has been verified by the operator.
For use-cases where KYC is required, this field must be set to true.
The phone number for the user
A tag or identifier to associate with the user object. We recommend setting this value to the id or primary key of the user database record.
Response
User created successfully
The response format for creating a user with Push
Push's identifier assigned to the user